probe::vm.pagefault.return
Prev | Chapter 6. Memory Tapset | Next

## Name

probe::vm.pagefault.return — Indicates what type of fault occurred

## Synopsis

    vm.pagefault.return

## Values

`name`

  name of the probe point

`fault_type`

  returns either 0 (VM_FAULT_OOM) for out of memory faults, 2 (VM_FAULT_MINOR) for minor faults, 3 (VM_FAULT_MAJOR) for major faults, or 1 (VM_FAULT_SIGBUS) if the fault was neither OOM, minor fault, nor major fault.

Prev | Up | Next
probe::vm.pagefault | Home | probe::vm.write_shared